clc 
clear

Eff_steam=.85; %assumed efficiency of steam 
Eff_electricity=.64; %efficiency of electricity given by GE website
NG_heat_value=39121893.48; % natural gas heating value of J/m^3
NG_density=0.90; % density of natural gas in kg/m^3

%subsurface pump calculations
Avg_pump_power=1.224774*10^6; %pump power We
NG_need_pump=Avg_pump_power/Eff_electricity; %Wth for natural gas
NG_need_pump_volume=(NG_need_pump*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_NG_for_pump=NG_need_pump_volume*NG_density;
kg_of_CO2_perYear_pump_subsurface=mass_NG_for_pump*2.75  %kg of CO2 per year produced by the pump
%surface pump calculations 
pump_power=928*10^6/3600; %pump power We (added together to get a total power)
NG_pump=pump_power/Eff_electricity; %Wth for natural gas
NG_pump_volume=(NG_pump*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_NG_pump=NG_pump_volume*NG_density;
kg_of_CO2_perYear_pump_surface=mass_NG_pump*2.75  %kg of CO2 per year produced by the pump
%
%
%
%heat pump calculations

Total_Compressor_Power= (15653.91*10^6)/(3600); %compressor power We (added together to get a total power)
heat_pump=Total_Compressor_Power/Eff_electricity; %Wth for natural gas
NG_heatpump_volume=(heat_pump*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_NG_heatpump=NG_heatpump_volume*NG_density;
kg_of_CO2_perYear_heatpump=mass_NG_heatpump*2.75  %kg of CO2 per year produced by the heat pump

geothermal_system_total_CO2=kg_of_CO2_perYear_heatpump+kg_of_CO2_perYear_pump_subsurface+kg_of_CO2_perYear_pump_surface


%heat generated 
avg_heat=27.99*10^6/Eff_steam; %Wth
NG_save_volume=(avg_heat*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_save=NG_save_volume*NG_density;
kg_of_CO2_perYear_save=mass_save*2.75;  %kg of CO2 per year saved

kg_of_CO2_perYear_no_geo=kg_of_CO2_perYear_save


Total_Energy=((avg_heat/10^6))*3.4095106405*8766 %convert MW to MMBtu/yr
LCOE_gas=(kg_of_CO2_perYear_no_geo-geothermal_system_total_CO2)/Total_Energy %kg CO2 reduced per MMBtu

